%define pypi_name redis-collections

Name:           python-%{pypi_name}
Version:        0.11.0
Release:        %mkrel 3
Summary:        Set of basic Python collections backed by Redis
Group:          Development/Python
License:        ISCL
URL:            https://pypi.org/project/redis-collections/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
redis-collections is a Python library that provides a high-level interface to
Redis, the excellent key-value store.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
redis-collections is a Python library that provides a high-level interface to
Redis, the excellent key-value store.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files redis_collections

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.11.0-3.mga10
+ Revision: 2035919
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.11.0-2.mga9
+ Revision: 1823361
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.11.0-1.mga9
+ Revision: 1783096
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.9.0-1.mga9
+ Revision: 1706090
- new version 0.9.0

* Sat Jun 13 2020 guillomovitch <guillomovitch> 0.7.0-4.mga8
+ Revision: 1593130
- rebuild for proper automatic dependencies

* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1534314
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 0.7.0-2.mga8
+ Revision: 1449005
- rebuild for python 3.8

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.7.0-1.mga8
+ Revision: 1417126
- imported package python-redis-collections

